curl --request GET \
--url https://api.getpg.ai/public-api/v1/companies/{company_id}/profile \
--header 'x-api-key: <api-key>'import requests
url = "https://api.getpg.ai/public-api/v1/companies/{company_id}/profile"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.getpg.ai/public-api/v1/companies/{company_id}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_name": "<string>",
"website_domain": "<string>",
"hq_country_name": "<string>",
"industry": "<string>",
"revenue_range": "<string>",
"employee_count_range": "<string>",
"overview": {},
"divisions": [
{
"division_name": "<string>",
"division_summary": "<string>",
"last_year_label": "<string>",
"last_year_financial_year_end": "<string>",
"last_year_revenue_gross": 123,
"last_year_gross_revenue_change": "<string>",
"year_before_label": "<string>",
"year_before_financial_year_end": "<string>",
"year_before_revenue_gross": 123,
"year_before_gross_revenue_change": "<string>",
"priorities": [
{
"name": "<string>",
"sources": [
{}
],
"description": "<string>"
}
],
"challenges": [
{
"name": "<string>",
"sources": [
{}
],
"description": "<string>"
}
],
"digital_strategies": [
{
"name": "<string>",
"sources": [
{}
],
"description": "<string>"
}
],
"key_people": [
{
"name": "<string>",
"source": "<string>",
"description": "<string>"
}
]
}
],
"key_executives": [
{
"name": "<string>",
"title": "<string>"
}
],
"geographical_operations": [
{
"name": "<string>",
"sources": [
{}
],
"description": "<string>"
}
],
"swot_analysis": [
{
"name": "<string>",
"type": "STRENGTH",
"description": "<string>"
}
],
"strategic_priorities": [
{
"name": "<string>",
"sources": [
{}
],
"description": "<string>"
}
],
"digital_strategies": [
{
"name": "<string>",
"sources": [
{}
],
"description": "<string>"
}
],
"goals": [
{
"name": "<string>",
"sources": [
{}
],
"description": "<string>"
}
],
"risks": [
{
"name": "<string>",
"sources": [
{}
],
"description": "<string>"
}
],
"competitors": [
{
"name": "<string>",
"website": "<string>",
"description": "<string>"
}
],
"industry_insights": [
{
"name": "<string>",
"sources": [
{}
],
"description": "<string>"
}
],
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_title": "<string>",
"fiscal_label": "<string>",
"period_end_date": "2023-12-25",
"gross_revenue": 123,
"gross_revenue_change": "<string>",
"earnings_call_new_strategies": [
{}
],
"earnings_call_summary": [
{}
],
"earnings_call_quotes": [
{}
],
"event_new_strategies": [
{}
],
"earnings_call_challenges": [
{}
],
"digital_strategies": [
{}
]
}
],
"custom_insights": [
{}
],
"insights_scores": [
{}
],
"territory_custom_scores": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Get customizable company profile
Retrieve a company profile, choosing which sections to return. Use include (comma-separated) to request specific sections — pass full to return everything. Use exclude (comma-separated) to drop sections from the response. Set sources=true to receive source citations alongside the profile content.
Authorizations
Your API key for authentication. Get your API key from the PG:AI dashboard under Settings > API Keys.
Path Parameters
Company ID (UUID)
Query Parameters
Comma-separated list of sections to include. Pass full to return every section.
full, overview, key_executives, divisions, geographical_operations, swot_analysis, competitors, industry_insights, strategic_priorities, digital_strategies, risks, goals, insights_scores, events, value_pyramid, three_whys, discovery_questions, how_they_make_money, how_they_lose_money, custom_insights, employee_groups, favourite_technologies_count, territory_custom_scores, content Comma-separated list of sections to omit from the response.
full, overview, key_executives, divisions, geographical_operations, swot_analysis, competitors, industry_insights, strategic_priorities, digital_strategies, risks, goals, insights_scores, events, value_pyramid, three_whys, discovery_questions, how_they_make_money, how_they_lose_money, custom_insights, employee_groups, favourite_technologies_count, territory_custom_scores, content When true, include source citations alongside the profile content.
Response
Success
Customizable company profile with optional sections
Company overview section
Company divisions
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
